class documentation

class DeprecatedAPI(object): (source)

View In Hierarchy

Undocumented

Method absolute_obj_path Undocumented
Method aggregate_list Undocumented
Method ajaxGetChildNodes Undocumented
Method ajaxGetNode Generate an XML representation of the node with its properties and attributes.
Method ajaxGetNodes Undocumented
Method ajaxGetParentNodes Undocumented
Method buildZipArchive Undocumented
Method compareDate Undocumented
Method concat_list Undocumented
Method copy_list Undocumented
Method daysBetween Undocumented
Method dict_list Undocumented
Method difference_list Undocumented
Method distinct_list Undocumented
Method dt_exec Undocumented
Method dt_executable Undocumented
Method encrypt_ordtype Undocumented
Method encrypt_password Undocumented
Method encrypt_schemes Undocumented
Method extractZipArchive Undocumented
Method f_bodyContent Undocumented
Method f_headline Undocumented
Method f_selectInput Undocumented
Method filter_list Undocumented
Method get_colormap Undocumented
Method get_id_prefix Undocumented
Method getCatalogNavUrl Undocumented
Method getDataSizeStr Undocumented
Method getFile Undocumented
Method getFormat Undocumented
Method getImage Undocumented
Method getINSTANCE_HOME Undocumented
Method getLangFmtDate Undocumented
Method getLinkHtml Undocumented
Method getMimeTypeIconSrc Undocumented
Method getPACKAGE_HOME Undocumented
Method getPRODUCT_HOME Undocumented
Method getTitleimage Undocumented
Method getXmlHeader Undocumented
Method getZipArchive Undocumented
Method http_import Undocumented
Method id_quote Undocumented
Method intersection_list Undocumented
Method isFeatureEnabled Undocumented
Method js_quote Undocumented
Method meta_id_or_type Undocumented
Method nvl Undocumented
Method operator_delattr Undocumented
Method operator_delitem Undocumented
Method operator_getattr Undocumented
Method operator_getitem Undocumented
Method operator_gettype Undocumented
Method operator_setattr Undocumented
Method operator_setitem Undocumented
Method parse_stylesheet Undocumented
Method parseLangFmtDate Undocumented
Method parseXmlString Undocumented
Method processData Undocumented
Method rand_int Undocumented
Method re_findall Undocumented
Method re_search Undocumented
Method re_sub Undocumented
Method search_encode Undocumented
Method search_quote Undocumented
Method sendMail Undocumented
Method sort_list Undocumented
Method str_item Undocumented
Method str_json Undocumented
Method string_list Undocumented
Method string_maxlen Undocumented
Method sync_list Undocumented
Method toXmlString Undocumented
Method tree_list Undocumented
Method tree_parents Undocumented
Method url_append_params Undocumented
Method url_inherit_params Undocumented
Method writeBlock Undocumented
Method writeError Undocumented
Method writeLog Undocumented
Method xmlNodeSet Undocumented
Method xmlParse Undocumented
Method xslProcess Undocumented
Method zmi_form_section_begin Undocumented
Method zmi_form_section_end Undocumented
Method zmi_manage_css Undocumented
Class Variable f_bo_area Undocumented
Class Variable f_eo_area Undocumented
Class Variable f_submitBtn Undocumented
Class Variable security Undocumented
def absolute_obj_path(self): (source)

Undocumented

def aggregate_list(self, l, i): (source)

Undocumented

@zpublish
def ajaxGetChildNodes(self, lang, xml_header=True, meta_types=None, REQUEST=None): (source)

Undocumented

@zpublish
def ajaxGetNode(self, context=None, lang=None, xml_header=True, meta_types=None, REQUEST=None): (source)

Generate an XML representation of the node with its properties and attributes.

This method constructs an XML document containing detailed information about the current ZMS object, including its URL, physical path, access permissions, and optionally its attributes based on configuration parameters.

Parameters
context:ZMSObject or NoneContext object used for generating absolute URLs and index_html references. If not provided, defaults to self.
lang:str or NoneLanguage identifier for retrieving localized title and titlealt values. If not provided, uses the current language context.
xml_header:boolFlag to determine whether to include XML declaration header and set appropriate HTTP response headers. When True, sets Content-Type to 'text/xml; charset=utf-8' and cache control headers.
meta_types:list or NoneFilter criteria for meta types. Currently defined but not actively used in filtering logic.
REQUEST:HTTPRequestHTTP request object containing form data and response object for setting headers. Required for proper functioning of this method.
Returns
XML string representation of the node containing element properties, attributes, and optional attribute values based on request parameters.
Note
Deprecated - Use the REST API instead. This method is deprecated in favor of modern REST API endpoints (++rest_api).
@zpublish
def ajaxGetNodes(self, context=None, lang=None, xml_header=True, REQUEST=None): (source)

Undocumented

@zpublish
def ajaxGetParentNodes(self, lang, xml_header=True, meta_types=None, REQUEST=None): (source)

Undocumented

def buildZipArchive(self, files, get_data=True): (source)

Undocumented

def compareDate(self, t0, t1): (source)

Undocumented

def concat_list(self, l1, l2): (source)

Undocumented

def copy_list(self, l): (source)

Undocumented

def daysBetween(self, t0, t1): (source)

Undocumented

def dict_list(self, l): (source)

Undocumented

def difference_list(self, l1, l2): (source)

Undocumented

def distinct_list(self, l, i=None): (source)

Undocumented

def dt_exec(self, v, o={}): (source)

Undocumented

def dt_executable(self, v): (source)

Undocumented

def encrypt_ordtype(self, s): (source)

Undocumented

def encrypt_password(self, pw, algorithm='md5', hex=False): (source)

Undocumented

def encrypt_schemes(self): (source)

Undocumented

def extractZipArchive(self, f): (source)

Undocumented

def f_bodyContent(self, *args, **kwargs): (source)

Undocumented

def f_headline(self, *args, **kwargs): (source)

Undocumented

def f_selectInput(self, *args, **kwargs): (source)

Undocumented

def filter_list(self, l, i, v, o='%'): (source)

Undocumented

def get_colormap(self): (source)

Undocumented

def get_id_prefix(self, s): (source)

Undocumented

def getCatalogNavUrl(self, REQUEST): (source)

Undocumented

def getDataSizeStr(self, len): (source)

Undocumented

def getFile(self, REQUEST): (source)

Undocumented

def getFormat(self, REQUEST): (source)

Undocumented

def getImage(self, REQUEST): (source)

Undocumented

def getINSTANCE_HOME(self): (source)

Undocumented

def getLangFmtDate(self, t, lang=None, fmt_str='SHORTDATETIME_FMT'): (source)

Undocumented

def getLinkHtml(self, url, html='<a href="%s">&raquo;</a>', REQUEST=None): (source)

Undocumented

def getMimeTypeIconSrc(self, mt): (source)

Undocumented

def getPACKAGE_HOME(self): (source)

Undocumented

def getPRODUCT_HOME(self): (source)

Undocumented

def getTitleimage(self, REQUEST): (source)

Undocumented

def getXmlHeader(self, encoding='utf-8'): (source)

Undocumented

def getZipArchive(self, f): (source)

Undocumented

def http_import(self, url, method='GET', auth=None, parse_qs=0, timeout=10, headers={'Accept': '*/*'}, debug=0): (source)

Undocumented

def id_quote(self, s, mapping={' ': '_', '-': '_', '/': '_'}): (source)

Undocumented

def intersection_list(self, l1, l2): (source)

Undocumented

def isFeatureEnabled(self, feature=''): (source)

Undocumented

def js_quote(self, text, charset=None): (source)

Undocumented

def meta_id_or_type(self): (source)

Undocumented

def nvl(self, a1, a2, n=None): (source)

Undocumented

def operator_delattr(self, a, b): (source)

Undocumented

def operator_delitem(self, a, b): (source)

Undocumented

def operator_getattr(self, a, b, c=None): (source)

Undocumented

def operator_getitem(self, a, b, c=None, ignorecase=True): (source)

Undocumented

def operator_gettype(self, v): (source)

Undocumented

def operator_setattr(self, a, b, c): (source)

Undocumented

def operator_setitem(self, a, b, c): (source)

Undocumented

def parse_stylesheet(self): (source)

Undocumented

def parseLangFmtDate(self, s, lang=None, fmt_str=None, recflag=None): (source)

Undocumented

def parseXmlString(self, xml): (source)

Undocumented

def processData(self, processId, data, trans=None): (source)

Undocumented

def rand_int(self, n): (source)

Undocumented

def re_findall(self, pattern, text, ignorecase=False): (source)

Undocumented

def re_search(self, pattern, subject, ignorecase=False): (source)

Undocumented

def re_sub(self, pattern, replacement, subject, ignorecase=False): (source)

Undocumented

def search_encode(self, s): (source)

Undocumented

def search_quote(self, s, maxlen=255, tag='&middot;'): (source)

Undocumented

def sendMail(self, mto, msubject, mbody, REQUEST=None, mattach=None): (source)

Undocumented

def sort_list(self, l, qorder=None, qorderdir='asc', ignorecase=1): (source)

Undocumented

def str_item(self, i): (source)

Undocumented

def str_json(self, i, encoding='ascii', errors='xmlcharrefreplace', formatted=False, level=0): (source)

Undocumented

def string_list(self, s, sep='\n', trim=True): (source)

Undocumented

def string_maxlen(self, s, maxlen=20, etc='...', encoding=None): (source)

Undocumented

def sync_list(self, l, nl, i): (source)

Undocumented

def toXmlString(self, v, xhtml=False, encoding='utf-8'): (source)

Undocumented

def tree_list(self, l, i='id', r='idId', v='', deep=0): (source)

Undocumented

def tree_parents(self, l, i='id', r='idId', v='', deep=1, reverse=1): (source)

Undocumented

def url_append_params(self, url, dict, sep='&'): (source)

Undocumented

def url_inherit_params(self, url, REQUEST, exclude=[], sep='&amp;'): (source)

Undocumented

def writeBlock(self, info): (source)

Undocumented

def writeError(self, info): (source)

Undocumented

def writeLog(self, info): (source)

Undocumented

def xmlNodeSet(self, mNode, sTagName='', iDeep=0): (source)

Undocumented

def xmlParse(self, xml): (source)

Undocumented

def xslProcess(self, xsl, xml): (source)

Undocumented

def zmi_form_section_begin(self, *args, **kwargs): (source)

Undocumented

def zmi_form_section_end(self, *args, **kwargs): (source)

Undocumented

def zmi_manage_css(self, *args, **kwargs): (source)

Undocumented

f_bo_area: str = (source)

Undocumented

f_eo_area: str = (source)

Undocumented

f_submitBtn: str = (source)

Undocumented

security = (source)

Undocumented